| Home | Libraries | People | FAQ | More

## Class template atomic_xchg

boost::compute::atomic_xchg

## Synopsis

    // In header: <boost/compute/functional/atomic.hpp>

    template<typename T>
    class atomic_xchg : public function< T(T *, T)> {
    public:
      // construct/copy/destruct
      atomic_xchg();
    };

## Description

### `atomic_xchg` public construct/copy/destruct

1.     atomic_xchg();